/***************************************************************************/
/***                                                                     ***/
/***                  rcc8io.h                                           ***/
/***                                                                     ***/
/***       Ronny Fehling, Bernhard Nebel, Jochen Renz  - March 1998      ***/
/***                                                                     ***/
/***         fehling, nebel, renz@informatik.uni-freiburg.de             ***/
/***                                                                     ***/
/***          http://www.informatik.uni-freiburg.de/~sppraum             ***/
/***                                                                     ***/
/***                      Institut fuer Informatik                       ***/
/***                     Albert-Ludwigs-Universitaet                     ***/
/***                           Am Flughafen 17                           ***/
/***                       79110 Freiburg, Germany                       ***/
/***                                                                     ***/
/***************************************************************************/


#include <stdio.h>

extern char *sprrel(char *s, RELTYPE r);
extern char *sprcons(char *s, RELTYPE r, int node1, int node2);

#if defined(DYNAMIC)
extern void printcsp(FILE *outfile, int maxnodeid, char *typeid, 
		     RELTYPE **csp); 
#else
extern void printcsp(FILE *outfile, int maxnodeid, char *typeid,
                     RELTYPE csp[MAXCSP][MAXCSP]);
#endif

extern int parsecons(char *line, RELTYPE *r, int *node1, int *node2);
extern int parserel(char *line, RELTYPE *r);
extern int parsecsp_vsd(FILE *infile, int limit, int prevmax, int *maxnodeid, char *typeid, RELTYPE ***csp);
extern int parsealg(FILE *infile, char alg[MAXSET]);
extern int parse_type(char *csptype,int *newsize,float *newlabel,float *newdegree,float *newdensity);

int parsecsp(FILE *infile, int limit, int *maxnodeid, char *typeid, RELTYPE csp[MAXCSP][MAXCSP]);

